package domain


type AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        优惠门槛     */
    Condition  *AlibabaRetailMarketingItempoolActivityUpdateStairConditionDTO `json:"condition,omitempty" `

    /*
        优惠效果     */
    Action  *AlibabaRetailMarketingItempoolActivityUpdateActionDTO `json:"action,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto) SetCondition(v AlibabaRetailMarketingItempoolActivityUpdateStairConditionDTO) *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto {
    s.Condition = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto) SetAction(v AlibabaRetailMarketingItempoolActivityUpdateActionDTO) *AlibabaRetailMarketingItempoolActivityUpdateStairGroupDto {
    s.Action = &v
    return s
}
